package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;

import java.util.function.Function;

public class VerificationTasks {

    private final Harness harness;

    public VerificationTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> checkNewCalculation() {
        return start -> start
                .checkVehicleFirstPayment()
                .checkVehicleInstalmentCount()
                .checkVehicleInstalmentComputation();
    }

    public Function<NewCalculationPage, NewCalculationPage> checkMenu() {
        return start -> start
                .checkMenuNewCalculation()
                .checkMenuSaved()
                .checkMenuQueue();
    }
}